Subject: Re: What's cooking in git.git (Jan 2026, #06)

From: Johannes Schindelin <[email-masked]>
Date: Wed, 21 Jan 2026 11:08:45 +0100 (CET)

Hi Junio,

On Tue, 20 Jan 2026, Junio C Hamano wrote:

> * js/symlink-windows (2026-01-09) 19 commits
>  - mingw: special-case index entries for symlinks with buggy size
>  - mingw: emulate `stat()` a little more faithfully
>  - mingw: try to create symlinks without elevated permissions
>  - mingw: add support for symlinks to directories
>  - mingw: implement basic `symlink()` functionality (file symlinks only)
>  - mingw: implement `readlink()`
>  - mingw: allow `mingw_chdir()` to change to symlink-resolved directories
>  - mingw: support renaming symlinks
>  - mingw: handle symlinks to directories in `mingw_unlink()`
>  - mingw: add symlink-specific error codes
>  - mingw: change default of `core.symlinks` to false
>  - mingw: factor out the retry logic
>  - mingw: compute the correct size for symlinks in `mingw_lstat()`
>  - mingw: teach dirent about symlinks
>  - mingw: let `mingw_lstat()` error early upon problems with reparse points
>  - mingw: drop the separate `do_lstat()` function
>  - mingw: implement `stat()` with symlink support
>  - mingw: don't call `GetFileAttributes()` twice in `mingw_lstat()`
>  - Merge branch 'js/prep-symlink-windows' into js/symlink-windows
>  (this branch uses js/prep-symlink-windows.)
> 
>  Upstream symbolic link support on Windows from Git-for-Windows.
> 
>  Expecting a reroll.
>  cf. <[email-masked]>
>  cf. <[email-masked]>
>  cf. <[email-masked]>
>  source: <[email-masked]>

I do not quite understand.

v2 was sent out on Jan 9. The three replies you are referring to as
blockers were all sent out on the same day, as replies to the respective
reviewer comments in v1. Naturally, whan I did sent out those replies
acknowleding problems whose fixes I promised, I did not then go on and
omit the fixes from v2!

In https://lore.kernel.org/git/[email-masked]/ on Jan 13, i.e.
days later, you said about this patch series:

 Will merge to 'next'?
  source: <[email-masked]>

However, in https://lore.kernel.org/git/[email-masked]/ on Jan
15, you started saying:

> Expecting a reroll.
> cf. <[email-masked]>
> cf. <[email-masked]>
> cf. <[email-masked]>
> source: <[email-masked]>

And the same comment was made yesterday.

What exactly are the still-unaddressed issues you want to see fixed? I
cannot retroactively fix v1, and v2 does not have those issues of those 3
cf. references.

Ciao,
Johannes